Bug 440535 - Reduce complexity on CA keysize install wizard
Reduce complexity on CA keysize install wizard
Status: CLOSED DUPLICATE of bug 528236
Product: Dogtag Certificate System
Classification: Community
Component: CA (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Christina Fu
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 17:32 EDT by Bob Lord
Modified: 2015-01-04 18:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 14:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Lord 2008-04-03 17:32:01 EDT
Description of problem:

In version 1.0.0 of Dogtag, the CA installation wizard asks what key size to use
for the CA.  This page of the wizard is confusing and could be simplified.

Today the page reads:
==
  Common Key Settings
  Key Type: 	
  Use the default key size (2048 bits for RSA, 256 bits for ECC).
  Use the following custom key size
  Key Size: [2048]
==

Instead it should offer the administrator a single drop-down menu with these
possible values:

2048-bit RSA
4098-bit RSA
256-bit ECC
384-bit ECC

Version-Release number of selected component (if applicable):
1.0.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I'd very much like to remove the option to allow people to type in a different
key-size. If there are standard key-sizes that I have not listed above, let's
consider adding them to the list rather than allowing people to type in any value.
Comment 2 Chandrasekar Kannan 2008-08-28 14:13:01 EDT
per bug council on 08/27/2008 - removing from CS8.0 list
Comment 3 Chandrasekar Kannan 2008-08-28 14:32:34 EDT
per bug council on 08/27/2008 - removing from CS8.0 list
Comment 4 Chandrasekar Kannan 2008-08-28 14:49:24 EDT
Adding to tracking Bug CS8.1

Note You need to log in before you can comment on or make changes to this bug.